Subject: Re: [PATCH] bridge: add ETH_HLEN to packet_length

From: Stephen Hemminger <[email-masked]>
Date: Fri, 15 Sep 2006 09:57:19 +0900

On Thu, 14 Sep 2006 13:27:54 -0500
Jon Mason <[email-masked]> wrote:

> In br_dev_queue_push_xmit, why is the check to drop mtu oversized
> packets not checking for enough room for the impending ETH_HLEN size
> skb_push?  In some code currently under development, we are seeing
> skb_under_panic being called from the "skb_push(skb, ETH_HLEN)" in that
> code.  It seems to me it would be better to drop those skbs than panic.
> Attached is a patch to do this.
> 
> Thanks,
> Jon

This is bridge code, it assumes that any device that claims to be a
ethernet device has done the proper reservation. What device are
you using?